SyncTrayzor cannot start

Dear Forum Members,

I am using your great tool already a while to sync one Folder over two devices. This work very well. :slight_smile:

Now i have a new laptop and want to sync same folder here, too. I assume i did download first a wrong file, when i start this i saw only a Command-Line. Then i download the installation file but now SyncTrayzor dont work. :frowning:

see below what i see in the console, and here i try to upload the error message. Unbenannt

Hope any expert can help? :slight_smile:

[ULEWJ] 20:21:20 INFO: syncthing v1.2.0 “Fermium Flea” (go1.12.6 windows-amd64) 2019-06-28 06:03:29 UTC [ULEWJ] 20:21:20 INFO: My ID: ULEWJEK [ULEWJ] 20:21:21 INFO: Single thread SHA256 performance is 1178 MB/s using minio/sha256-simd (287 MB/s using crypto/sha256). [ULEWJ] 20:21:21 WARNING: Failed to initialize config: Config file version (31) is newer than supported version (29). If this is expected, use -allow-newer-config to override. [ULEWJ] 20:21:21 INFO: syncthing v1.2.0 “Fermium Flea” (go1.12.6 windows-amd64) [) 2019-06-28 06:03:29 UTC [ULEWJ] 20:21:21 INFO: My ID: ULEWJEK [ULEWJ] 20:21:22 INFO: Single thread SHA256 performance is 1153 MB/s using minio/sha256-simd (284 MB/s using crypto/sha256). [ULEWJ] 20:21:22 WARNING: Failed to initialize config: Config file version (31) is newer than supported version (29). If this is expected, use -allow-newer-config to override. [ULEWJ] 20:21:22 INFO: syncthing v1.2.0 “Fermium Flea” (go1.12.6 windows-amd64) [t) 2019-06-28 06:03:29 UTC [ULEWJ] 20:21:22 INFO: My ID: ULEWJEK [ULEWJ] 20:21:23 INFO: Single thread SHA256 performance is 1177 MB/s using minio/sha256-simd (288 MB/s using crypto/sha256). [ULEWJ] 20:21:23 WARNING: Failed to initialize config: Config file version (31) is newer than supported version (29). If this is expected, use -allow-newer-config to override. [ULEWJ] 20:21:23 INFO: syncthing v1.2.0 “Fermium Flea” (go1.12.6 windows-amd64) [) 2019-06-28 06:03:29 UTC [ULEWJ] 20:21:24 INFO: My ID: ULEWJEK [ULEWJ] 20:21:24 INFO: Single thread SHA256 performance is 1177 MB/s using minio/sha256-simd (288 MB/s using crypto/sha256). [ULEWJ] 20:21:24 WARNING: Failed to initialize config: Config file version (31) is newer than supported version (29). If this is expected, use -allow-newer-config to override.

You previously had a newer version of Syncthing running and thus the config is now incompatible. You need to either replace the Syncthing executable with the latest release or run it with the -upgrade flag to make it upgrade itself before loading config.

Hello imsondin,

Thank you a lot for reply, I was now able to fix the issue. :slight_smile:

However i were not able to upgrade with this cmd command: C:\Program Files\SyncTrayzor\SyncTrayzor.exe -setup Here appear only a window whith explanaition of 4 other options, but no upgrade started…

But follow did help: Renaming the folder in Appdata: C:\Users\Username\AppData\Local\Syncthing into: C:\Users\Username\AppData\Local\Syncthing.update

After that the config were lost and a new profile were created. Now the tool run fine. :slight_smile:

I would suggest to change the program, that if a conflict appear, that the user is asked:

“Do you want to create a new profile to fix this issue?”

By click on Yes, automatically the workaround is done and the user dont need manual repair…

Have a great day! Bernd

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.